# References

### Autonomi Publications & Papers

[Autonomi White Paper](https://autonomi.com/whitepaper)

[Autonomous Network (MaidSafe White Paper, 2010)](http://docs.maidsafe.net/Whitepapers/pdf/AutonomousNetwork.pdf)

[Data Hierarchy Refinement (MaidSafe RFC and forum discussion)](https://github.com/maidsafe/rfcs/blob/d42c24db6ddfe58f14b347a5664710e493262ce9/text/0052-RDF-for-public-name-resolution/0052-RDF-for-public-name-resolution.md)

[Distributed Hash Table (MaidSafe White Paper, 2010)](http://docs.maidsafe.net/Whitepapers/pdf/MaidSafeDistributedHashTable.pdf)

[FileTree CRDT for Safe Network (MaidSafe forum discussion)](https://forum.safedev.org/t/filetree-crdt-for-safe-network/2833)

[The Impossible Network — David Irvine](https://metaquestions.me/2017/08/12/the-impossible-network/)

[Payments (on Safe Network)](https://safenetforum.org/t/update-09-november-2023/38807)

[Safe (Autonomi) CLI User Guide (Github)](https://github.com/maidsafe/safe_network/tree/main/sn_cli)

[Security of the MaidSafe Vault Network](https://strathprints.strath.ac.uk/48569/1/Paul_etal_wwrf32_vault_network.pdf)

[Self-Authentication — MaidSafe White Paper (2010)](https://docs.maidsafe.net/Whitepapers/pdf/SelfAuthentication.pdf)

[Self-Encrypting files — convergent encryption plus obfuscation (GitHub)](https://github.com/maidsafe/self_encryption)

[Self-Encrypting Data — MaidSafe White Paper (2010)](http://docs.maidsafe.net/Whitepapers/pdf/SelfEncryptingData.pdf)

[Self-Encryption on the Safe Network (YouTube](https://www.youtube.com/watch?v=Jnvwv4z17b4))

[XOR-URLs (MaidSafe RFC)](https://github.com/maidsafe/rfcs/blob/357384147ae005e4061079b27a30f43cf379fda5/text/0000-xor-urls/0000-xor-urls.md)

### From Other Contributors

[An introduction to state-based CRDTs](https://bartoszsypytkowski.com/the-state-of-a-state-based-crdts/)

[A Survey of DHT Security Techniques (Globule)](http://www.globule.org/publi/SDST_acmcs2009.html)

[BIP39 Mnemonic Code Converter](https://iancoleman.io/bip39/)

[Boneh-Lynn-Shacham (Wikipedia)](https://en.wikipedia.org/wiki/Boneh%E2%80%93Lynn%E2%80%93Shacham)

[BLS Threshold Crypto — Interface for Rust library threshold\_crypto (Ian Coleman)](https://www.youtube.com/watch?v=vBU70EjwGfw)

[Byzantine Agreement, Made Trivial (Micali) (MIT)](https://people.csail.mit.edu/silvio/Selected%20Scientific%20Papers/Distributed%20Computation/BYZANTYNE%20AGREEMENT%20MADE%20TRIVIAL.pdf)

[Ethereum Classic “HACKED” by 51% attack! (Andrew Butler — Medium)](https://medium.com/hackernoon/ethereum-classic-attacked-how-does-the-51-attack-occur-a5f3fa5d852e)

[CRDTs and the Quest for Distributed Consistency (YouTube)](https://www.youtube.com/watch?v=B5NULPSiOGw)

[CRDTs for Non Academics (YouTube)](< https://www.youtube.com/watch?v=vBU70EjwGfw>)

[Crypto 101](https://www.crypto101.io/)

[Git Branching — Basic Branching and Merging](https://git-scm.com/book/en/v2/Git-Branching-Basic-Branching-and-Merging)

[GossipSub (libp2p)](https://docs.libp2p.io/concepts/pubsub/overview/)

[Human-oriented base-32 encoding (O'Whielacronx)](https://philzimmermann.com/docs/human-oriented-base-32-encoding.txt)

[Kademlia: A Peer-to-peer information system based on the XOR Metric (Whitepaper, 2010)](https://pdos.csail.mit.edu/~petar/papers/maymounkov-kademlia-lncs.pdf)

[Kademlia, Explained (YouTube)](https://www.youtube.com/watch?v=1QdKhNpsj8M)

[Kademlia XOR metric properties purposes (Stack Overflow)](https://stackoverflow.com/questions/25751928/kademlia-xor-metric-properties-purposes/25756389#25756389)

[libp2p, a modular network stack (IPFS)](https://libp2p.io/)

[Stigmergy (Wikipedia)](https://en.wikipedia.org/wiki/Stigmergy)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autonomi.com/learn-more/references.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
